<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('main_feature_items', function (Blueprint $table) {
            $table->id();
            $table->tinyInteger('main_feature_item_status')->default(MAIN_FEATURE_ITEM_STATUS_ENABLE);
            $table->string('main_feature_item_image')->nullable();
            $table->string('main_feature_item_title')->nullable();
            $table->string('main_feature_item_short_description')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('main_feature_items');
    }
};
